:root {
  --color-white: #ffffff;
  --color-blue: #1e73be;
  --color-dark-gray: #222222;
  --color-light-gray: #555555;
  --color-lighter-gray: #f2f2f2;
  --width-content: 1170px;
}

*,
::before,
::after {
	box-sizing: border-box;
}

* {
  margin: 0;
}

body {
  font-family: 'Droid Serif', Georgia, 'Bitstream Vera Serif', 'Times New Roman', Times, serif;
  min-width: 400px;
}

h1, h2, h3, h4, h5, h6 {
  margin-block: 1.5em;
  font-family: sans-serif;
  color: var(--color-dark-gray);
}

p {
  margin-block: 1em;
}

main, p, li {
  color: var(--color-light-gray);
}

article {
  margin: 1.5em 0;
}

article > * {
  margin: 1.5em 0;
}

a {
  text-decoration: none;
  font-weight: bold;
  color: #0e0319;
}

a.button {
  display: inline-block;
  background-color: var(--color-blue);
  color: var(--color-white);
  font-family: sans-serif;
  padding-inline: 15px;
  line-height: 2.5em;
}

a.button:hover {
  background-color: #777777;
}

a.image > img {
  transition: .15s;
}

a.image:hover > img,
a.image:focus-visible > img {
  filter: grayscale(100%) contrast(110%);
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

.centered-content {
  max-width: var(--width-content);
  margin-inline: auto;
}

@media (max-width: 1300px) {
  .centered-content {
    max-width: 90%;
  }
}

.intro {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 50px 0;
}

.intro-start {
  display: flex;
  flex-direction: column;
  flex: 0 0 auto;
  align-items: center;
}

.intro-start p {
  margin-top: 10px;
}

@media (max-width: 750px) {
  .intro {
    justify-content: center;
  }

  .intro-end {
    display: none;
  }
}

.tagline {
  font-size: 1.2em;
}

nav {
  background-color: var(--color-blue);
  font-family: Arial, Helvetica, sans-serif;
  padding-inline: 24px;
}

nav .centered-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

nav ul {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  column-gap: 2rem;
}

nav a {
  color: var(--color-white);
}

nav li {
  position: relative;
  font-size: 1.2rem;
  line-height: 4rem;
}

.menu {
  display: flex;
}

.mobile-menu {
  display: none;
}

@media (max-width: 1000px) {
  .menu {
    display: none;
  }

  .mobile-menu {
    display: flex;
  }

  nav .centered-content {
    justify-content: center;
  }
}

.banner {
  position: relative;
  max-width: 1700px;
  height: 350px;
  margin: auto;
} 

.banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.banner h1 {
  color: var(--color-white);
  background-color: var(--color-blue);
  padding: 1rem;
  position: absolute;
  bottom: 20%;
}

.carousel {
  max-width: 1700px;
  height: 500px;
  margin: auto;
  overflow-x: scroll;
  display: flex;
  scroll-snap-type: x mandatory;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.carousel::-webkit-scrollbar {
  display: none;
}

.carousel-item {
  width: 100%;
  height: 100%;
  position: relative;
  flex: 0 0 auto;
  scroll-snap-align: center;
}

.carousel-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carousel-item div {
  background-color: var(--color-blue);
  padding: 1rem;
  position: absolute;
  bottom: 14%;
  left: 5%;
  color: var(--color-white);
  font-family: sans-serif;
  font-size: 2em;
  font-weight: bold;
}

hgroup {
  text-align: center;
}

hgroup h1 {
  font-size: 2.8rem;
}

hgroup p {
  font-size: 1.9rem;
}

.cards {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  gap: 1em;
  padding: 1rem 0;
}

.card {
  position: relative;
  width: 350px;
  height: 250px;
}

.card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card div {
  color: var(--color-white);
  background-color: var(--color-blue);
  padding: 1rem;
  font-family: sans-serif;
  font-size: 1.5em;
  position: absolute;
  bottom: 10%;
  left: 5%;
}

.footer-upper {
  background-color: var(--color-lighter-gray);
}

.footer-upper .centered-content {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
}

.map iframe {
  aspect-ratio: 4/3;
  width: 425px;
  border: 1px solid black;
}

@media (max-width: 1300px) {
  .map iframe {
    max-width: 100%;
  }
}

.footer-upper h2 a {
  color: var(--color-dark-gray);
}

.footer-upper > div {
  padding: 80px 0;
}

.footer-upper p {
  line-height: 1.5em;
}

.service-info > * {
  margin: 15px 0;
}

.contact-info {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  column-gap: 2rem;
  row-gap: 1rem;
}

.contact-info a {
  color: black;
}

.button-list {
  display: flex;
  flex-wrap: wrap;
  column-gap: 2rem;
  padding: 0;
  list-style: none;
}

.footer-lower {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 35px 0 60px 0;
}

@media (max-width: 750px) {
  .footer-lower {
    flex-direction: column;
  }
}

#footer-nav {
  flex-basis: 50%;
}

#footer-nav > * + * {
  margin-top: 1em;
}

#footer-nav h3 {
  margin: 0;
}

#footer-nav ul {
  list-style: none;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  column-gap: 1em;
  row-gap: .5em;
}

.person-summary {
  margin-top: 75px;
}

.person-summary header {
  display: flex;
  gap: 30px;
}

.person-summary > * {
  margin-top: 30px;
}

.person-summary h2 {
  margin: 0;
  margin-bottom: 5px;
}

.person-summary img {
  width: 135px;
  height: 135px;
  object-fit: cover;
}

.person-info {
  list-style: none;
  padding: 0;
}
